<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:faultTree ="http://www.hiphops.com/namespace/faultTree"
	  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="FaultTree">
			<TABLE id="ContentTable" cellSpacing="0">
        <xsl:variable name="performQuantAnalysis">
          <xsl:choose>
            <xsl:when test="Unavailability">
              <xsl:value-of select="true()"/>
             </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="false()"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
         <xsl:for-each select="CutSets">
					<xsl:if test="count(CutSet)>0">
						<TR>
							<TD>
								<TABLE id="CutSetTable" cellSpacing="0">
									<TR class="HeaderRow">
										<TD>
											<xsl:value-of select="count(CutSet)"/> x Cut Sets of Order <xsl:value-of select="Size"/>
										</TD>
                    <xsl:if test="$performQuantAnalysis='true'">
										<TD>
											<a href="javascript:transformIsland(xml,'FTOutput/XSL/cutsetssortUnavailability.xsl','ContentSpace');">Unavailability</a>
										</TD>
                    </xsl:if>
									</TR>
									<xsl:for-each select="CutSet">
									<xsl:sort select="UnavailabilitySort" order="descending" data-type="number"/>
										<TR class="DataRow">
											<TD>
												<xsl:for-each select="BasicEventFile">
												 <xsl:variable name="pathname" select="."/>
											      <xsl:variable name="BE-template" select="document($pathname)"/>

												<xsl:apply-templates select="$BE-template" />
												</xsl:for-each>
											</TD>
                      <xsl:if test="$performQuantAnalysis='true'">
                        <TD>
                          <xsl:value-of select="Unavailability" />
                        </TD>
                      </xsl:if>
										</TR>
									</xsl:for-each>
								</TABLE>
							</TD>
						</TR>
					</xsl:if>
				</xsl:for-each>
					</TABLE>


</xsl:template>
 <xsl:template match="BasicEvent">
 <DIV class="FailureModesCell">
   <xsl:element name="IMG">
     <xsl:attribute name="src">
       FTOutput/images/failureMode.gif
     </xsl:attribute>
   </xsl:element>
   <DIV>
   <xsl:value-of select="Name" />
   </DIV>
 </DIV>
 </xsl:template>
  
<xsl:template match="InputDeviation">
 <DIV class="FailureModesCell">
   <xsl:element name="IMG">
     <xsl:attribute name="src">
       FTOutput/images/InputDeviation.gif
     </xsl:attribute>
    
   </xsl:element> 
   <DIV>
 <xsl:value-of select="Name" />
 </DIV>
 </DIV>
 </xsl:template>
 
<xsl:template match="OutputDeviation">
 <DIV class="FailureModesCell">
   <xsl:element name="IMG">
     <xsl:attribute name="src">
       FTOutput/images/OutputDeviation.gif
     </xsl:attribute>
    
   </xsl:element> 
   <DIV>
 <xsl:value-of select="Name" />
 </DIV>
 </DIV>
 </xsl:template>

  <xsl:template match="CircleNode">
    <DIV class="FailureModesCell">
      <xsl:element name="IMG">
        <xsl:attribute name="src">
          FTOutput/images/Circle.gif
        </xsl:attribute>

      </xsl:element>
      <DIV>
        <xsl:value-of select="Name" />
      </DIV>
    </DIV>
  </xsl:template>

</xsl:stylesheet>