<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	  
<xsl:template match="FaultTree">


			<TABLE id="ContentTable" cellSpacing="0">
				
						<TR>
							<TD>
								<TABLE id="CutSetTable" cellSpacing="0">
									<TR class="HeaderRow">
										<TD>
											Cut Sets <a href="javascript:transformIsland(xml,'FTOutput/XSL/cutsetssortOrder.xsl','ContentSpace');">(Sort by Order)  </a>
										</TD>
										<TD>
										Unavailability
										</TD>
									</TR>
									<xsl:for-each select="CutSets/CutSet">
									<xsl:sort select="UnavailabilitySort" order="descending" data-type="number"/>
										<TR class="DataRow">
											<TD>
												<xsl:for-each select="BasicEventFile">
												 <xsl:variable name="pathname" select="."/>
											      <xsl:variable name="BE-template" select="document($pathname)"/>

												<xsl:apply-templates select="$BE-template" />
												</xsl:for-each>
											</TD>
											<TD>
												<xsl:value-of select="Unavailability" />
											</TD>
										</TR>
									</xsl:for-each>
								</TABLE>
							</TD>
						</TR>
					
					</TABLE>


</xsl:template>
  <xsl:template match="BasicEvent">
    <DIV class="FailureModesCell">
      <xsl:element name="IMG">
        <xsl:attribute name="src">
          FTOutput/images/failureMode.gif
        </xsl:attribute>
      </xsl:element>
      <DIV>
        <xsl:value-of select="Name" />
      </DIV>
    </DIV>
  </xsl:template>

  <xsl:template match="InputDeviation">
    <DIV class="FailureModesCell">
      <xsl:element name="IMG">
        <xsl:attribute name="src">
          FTOutput/images/InputDeviation.gif
        </xsl:attribute>

      </xsl:element>
      <DIV>
        <xsl:value-of select="Name" />
      </DIV>
    </DIV>
  </xsl:template>

<xsl:template match="OutputDeviation">
 <DIV class="FailureModesCell">
   <xsl:element name="IMG">
     <xsl:attribute name="src">
       FTOutput/images/OutputDeviation.gif
     </xsl:attribute>
    
   </xsl:element> 
   <DIV>
 <xsl:value-of select="Name" />
 </DIV>
 </DIV>
 </xsl:template>
 
  <xsl:template match="CircleNode">
    <DIV class="FailureModesCell">
      <xsl:element name="IMG">
        <xsl:attribute name="src">
          FTOutput/images/Circle.gif
        </xsl:attribute>

      </xsl:element>
      <DIV>
        <xsl:value-of select="Name" />
      </DIV>
    </DIV>
  </xsl:template>
</xsl:stylesheet>