<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
	<xsl:apply-templates select="//FaultTree"/>
</xsl:template>

<xsl:template match="FaultTree">
	<HEAD>		
		<TITLE>G<xsl:value-of select="ID" /> Minimal Cut Sets</TITLE>
		<LINK REL="stylesheet" TYPE="text/css" HREF="css/menus.css" />
	</HEAD>
	<BODY>
		<TABLE id="MainTable" cellSpacing="0">
			<TR id="MenuRow">
				<TD>
					<DIV id="hipHop">
						<a target="_self" href="../index.htm"><EM>hip</EM>HOPS</a>
					</DIV>
				</TD>
			</TR>
			<TR>
				<TD>
					<TABLE id="TopEventDataTable" cellSpacing="1">
						<TR>
							<TD id="TopEventsLabel">
								Top Event (Effect)
							</TD>
							<TD id="TopEventsData">
								<xsl:value-of select="Name" />
							</TD>
						</TR>
						<TR>
							<TD id="TopEventsLabel">
								System Unavailability
							</TD>
							<TD id="TopEventsData">
								<xsl:value-of select="Unavailability" />
							</TD>
						</TR>
						<TR>
							<TD id="TopEventsLabel">
								Description
							</TD>
							<TD id="TopEventsData">
								<xsl:value-of select="Description" />
							</TD>
						</TR>
						
					</TABLE>
				</TD>
			</TR>
			<TR>
				<TD>
					<TABLE id="ContentTable" cellSpacing="0">
						<TR>
							<TD>
								<TABLE id="PageLayout" cellSpacing="0">
									


<TR>
	<TD id="CutSetsColumn">
		<TABLE id="CutSetsTable" cellSpacing="0" >
			<xsl:call-template name="ftn"/>
		</TABLE>
	</TD>
</TR>
								</TABLE>
							</TD>
						</TR>					
					</TABLE>
				</TD>
			</TR>
		</TABLE>
	</BODY>
</xsl:template>

<xsl:template name="loop">
 <xsl:param name="repeat"></xsl:param>
<xsl:param name="descendants"></xsl:param>
 <xsl:if test="number($repeat) >= 1">
  <xsl:call-template name="loop">
   <xsl:with-param name="repeat" select="$repeat - 1"/>
<xsl:with-param name="descendants" select="$descendants"/>
  </xsl:call-template>
 </xsl:if>
<TD width="10" height="10">

<xsl:choose>
		<xsl:when test="number($repeat) = round(number($descendants) div 2)">
			<xsl:if test="OP=3">E</xsl:if><xsl:if test="OP=2">A</xsl:if><xsl:if test="OP=1">O</xsl:if><xsl:value-of select="ID"/>
		</xsl:when>
		
		<xsl:otherwise>
			*
		</xsl:otherwise>
	</xsl:choose>




</TD>
</xsl:template>
<xsl:template name="ftn">
<xsl:for-each select="FaultTreeNode">
				<TR width="10" height="10">
					
<xsl:call-template name="loop">

<xsl:with-param name="repeat" select="NumberOfDescendants"/>
<xsl:with-param name="descendants" select="NumberOfDescendants"/>
</xsl:call-template>

					
				</TR>
<xsl:call-template name="ftn"/>
			</xsl:for-each>

</xsl:template>
</xsl:stylesheet>

